{"openapi":"3.1.0","info":{"title":"Sinc API Platform","description":"","version":"1.0.0"},"servers":[{"url":"\/","description":""}],"paths":{"\/api\/companies":{"get":{"operationId":"api_companies_get_collection","tags":["Company"],"responses":{"200":{"description":"Company collection","content":{"application\/json":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/Company-api.read"}}}}}},"summary":"Retrieves the collection of Company resources.","description":"Retrieves the collection of Company resources.","parameters":[{"name":"page","in":"query","description":"The collection page number","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"integer","default":1},"style":"form","explode":false,"allowReserved":false}],"deprecated":false,"security":[{"JWT":[]},{"apiKey":[]}]},"parameters":[]},"\/api\/login":{"post":{"operationId":"login_check_post","tags":["Login Check"],"responses":{"200":{"description":"User token created","content":{"application\/json":{"schema":{"type":"object","properties":{"token":{"readOnly":true,"type":"string","nullable":false}},"required":["token"]}}}}},"summary":"Creates a user token.","description":"Creates a user token.","requestBody":{"description":"The login data","content":{"application\/json":{"schema":{"type":"object","properties":{"username":{"type":"string","nullable":false},"password":{"type":"string","nullable":false}},"required":["username","password"]}}},"required":true}},"parameters":[]},"\/api\/products":{"get":{"operationId":"api_products_get_collection","tags":["Product"],"responses":{"200":{"description":"Product collection","content":{"application\/json":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/Product-api.read"}}}}}},"summary":"Retrieves the collection of Product resources.","description":"Retrieves the collection of Product resources.","parameters":[{"name":"page","in":"query","description":"The collection page number","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"integer","default":1},"style":"form","explode":false,"allowReserved":false}],"deprecated":false,"security":[{"JWT":[]},{"apiKey":[]}]},"parameters":[]},"\/api\/products\/{uuid}":{"get":{"operationId":"api_products_uuid_get","tags":["Product"],"responses":{"200":{"description":"Product resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Product-api.read"}}}},"404":{"description":"Resource not found"}},"summary":"Retrieves a Product resource.","description":"Retrieves a Product resource.","parameters":[{"name":"uuid","in":"path","description":"Product identifier","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"simple","explode":false,"allowReserved":false}],"deprecated":false,"security":[{"JWT":[]},{"apiKey":[]}]},"parameters":[]},"\/api\/skus":{"get":{"operationId":"api_skus_get_collection","tags":["Sku"],"responses":{"200":{"description":"Sku collection","content":{"application\/json":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/Sku-api.read"}}}}}},"summary":"Retrieves the collection of Sku resources.","description":"Retrieves the collection of Sku resources.","parameters":[{"name":"search","in":"query","description":"Enter search term","required":false,"deprecated":false,"allowEmptyValue":false,"schema":[],"style":"form","explode":false,"allowReserved":false},{"name":"product","in":"query","description":"Enter product base uuid","required":false,"deprecated":false,"allowEmptyValue":false,"schema":[],"style":"form","explode":false,"allowReserved":false},{"name":"page","in":"query","description":"The collection page number","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"integer","default":1},"style":"form","explode":false,"allowReserved":false}],"deprecated":false,"security":[{"JWT":[]},{"apiKey":[]}]},"parameters":[]},"\/api\/skus\/{uuid}":{"get":{"operationId":"api_skus_uuid_get","tags":["Sku"],"responses":{"200":{"description":"Sku resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Sku-api.read"}}}},"404":{"description":"Resource not found"}},"summary":"Retrieves a Sku resource.","description":"Retrieves a Sku resource.","parameters":[{"name":"ip_address","in":"query","description":"IP Address to log against the view","required":false,"deprecated":false,"allowEmptyValue":false,"schema":[],"style":"form","explode":false,"allowReserved":false},{"name":"uuid","in":"path","description":"Sku identifier","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"simple","explode":false,"allowReserved":false}],"deprecated":false,"security":[{"JWT":[]},{"apiKey":[]}]},"parameters":[]},"\/api\/skus\/{uuid}\/download\/{parameterUuid}":{"get":{"operationId":"api_sku_parameter_download","tags":["Sku"],"responses":{"200":{"description":"Sku resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Sku-api.read"}}}},"404":{"description":"Resource not found"}},"summary":"Download asset","description":"Download asset","parameters":[{"name":"parameterUuid","in":"path","description":"Parameter identifier","required":true,"deprecated":false,"allowEmptyValue":false,"schema":[],"style":"simple","explode":false,"allowReserved":false},{"name":"ip_address","in":"query","description":"IP Address to log against the download","required":false,"deprecated":false,"allowEmptyValue":false,"schema":[],"style":"form","explode":false,"allowReserved":false},{"name":"uuid","in":"path","description":"Sku identifier","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"simple","explode":false,"allowReserved":false}],"deprecated":false,"security":[{"JWT":[]},{"apiKey":[]}]},"parameters":[]},"\/api\/skus\/{uuid}\/revisions":{"get":{"operationId":"api_skus_uuidrevisions_get_collection","tags":["Sku"],"responses":{"200":{"description":"Sku collection","content":{"application\/json":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/Sku-api.read"}}}}}},"summary":"Retrieves the collection of Sku resources.","description":"Retrieves the collection of Sku resources.","parameters":[{"name":"uuid","in":"path","description":"Sku identifier","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"simple","explode":false,"allowReserved":false},{"name":"page","in":"query","description":"The collection page number","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"integer","default":1},"style":"form","explode":false,"allowReserved":false}],"deprecated":false,"security":[{"JWT":[]},{"apiKey":[]}]},"parameters":[]}},"components":{"schemas":{"Company-api.read":{"type":"object","description":"","deprecated":false},"Product-api.read":{"type":"object","description":"","deprecated":false},"Sku-api.read":{"type":"object","description":"","deprecated":false}},"responses":{},"parameters":{},"examples":{},"requestBodies":{},"headers":{},"securitySchemes":{"apiKey":{"type":"apiKey","description":"Value for the X-Api-Key header parameter.","name":"X-Api-Key","in":"header"},"JWT":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}}},"security":[{"apiKey":[]}],"tags":[]}